View Issue Details

IDProjectCategoryView StatusLast Update
0032935Open CASCADEOCCT:Visualizationpublic2022-04-23 18:43
Reporterkgv Assigned Tokgv  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0032935: Visualization, TKOpenGles - use size window within OpenGl_Window::init()
DescriptionOpenGl_Window::init() takes dimensions of myPlatformWindow ignoring mySizeWindow leading to resize issues.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032886 verifiedkgv Visualization, V3d_View - introduce interface for creating a subview 

Activities

git

2022-04-18 04:27

administrator   ~0108013

Branch CR32935 has been created by kgv.

SHA-1: 5ccd4f6e6199f794ee9a34690ab0465171bf3b65


Detailed log of new commits:

Author: kgv
Date: Mon Apr 18 04:27:35 2022 +0300

    0032935: Visualization, TKOpenGles - use size window within OpenGl_Window::init()

kgv

2022-04-18 20:43

developer   ~0108021

Please raise the fix
- OCCT: branch CR32935.

smoskvin

2022-04-23 13:59

administrator   ~0108117

Combination -
OCCT branch : IR-2022-04-22
master SHA - a0b4fff17a6ad88f569052733d24723dd53e0919
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-22 SHA - 75f214de3df3529ee06eee62bf6c9b71e35e8c8b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18635.800000000607 / 18527.100000000686 [+0.59%]
Products
Total CPU difference: 11716.970000000136 / 11769.420000000111 [-0.45%]
Windows-64-VC14:
OCCT
Total CPU difference: 20692.578125 / 20548.828125 [+0.70%]
Products
Total CPU difference: 13247.5625 / 13272.65625 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Related Changesets

occt: master 7090725e

2022-04-18 04:27:35

kgv


Committer: smoskvin Details Diff
0032935: Visualization, TKOpenGles - use size window within OpenGl_Window::init() Affected Issues
0032935
mod - src/OpenGl/OpenGl_Window.cxx Diff File

Issue History

Date Modified Username Field Change
2022-04-18 02:45 kgv New Issue
2022-04-18 02:45 kgv Assigned To => kgv
2022-04-18 04:27 git Note Added: 0108013
2022-04-18 20:43 kgv Assigned To kgv => bugmaster
2022-04-18 20:43 kgv Severity minor => trivial
2022-04-18 20:43 kgv Status new => resolved
2022-04-18 20:43 kgv Test case number => N/A
2022-04-18 20:43 kgv Note Added: 0108021
2022-04-18 20:43 kgv Status resolved => reviewed
2022-04-18 20:43 kgv Relationship added child of 0032886
2022-04-23 13:59 smoskvin Status reviewed => tested
2022-04-23 13:59 smoskvin Note Added: 0108117
2022-04-23 18:43 smoskvin Changeset attached => occt master 7090725e
2022-04-23 18:43 kgv Assigned To bugmaster => kgv
2022-04-23 18:43 kgv Status tested => verified
2022-04-23 18:43 kgv Resolution open => fixed